Groovy Documentation

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyParameter

    public interface GroovyParameter

Method Summary
`GroovyAnnotationRef[]` | `annotations()`
`java.lang.String` | `defaultValue()`
`java.lang.String` | `name()`
`GroovyType` | `type()`
`java.lang.String` | `typeName()`

Method Detail

### annotations

    public GroovyAnnotationRef[] annotations()

### defaultValue

    public java.lang.String defaultValue()

### name

    public java.lang.String name()

### type

    public GroovyType type()

### typeName

    public java.lang.String typeName()

Groovy Documentation